Public Member Functions

# wxHelpControllerHelpProvider Class Reference
[Help]

`#include <wx/cshelp.h>`

Inheritance diagram for wxHelpControllerHelpProvider:
[legend]

## Detailed Description

wxHelpControllerHelpProvider is an implementation of wxHelpProvider which supports both context identifiers and plain text help strings.

If the help text is an integer, it is passed to wxHelpController::DisplayContextPopup(). Otherwise, it shows the string in a tooltip as per wxSimpleHelpProvider. If you use this with a wxCHMHelpController instance on windows, it will use the native style of tip window instead of wxTipWindow.

You can use the convenience function wxContextId() to convert an integer context id to a string for passing to wxWindow::SetHelpText().

##

Library: wxCore
Category: Help

See also:
  wxHelpProvider, wxSimpleHelpProvider, wxContextHelp, wxWindow::SetHelpText(), wxWindow::GetHelpTextAtPoint()

## Public Member Functions
| wxHelpControllerHelpProvider (wxHelpControllerBase *hc=NULL)
| Note that the instance doesn't own the help controller.
wxHelpControllerBase * | GetHelpController () const
| Returns the help controller associated with this help provider.
void | SetHelpController (wxHelpControllerBase *hc)
| Sets the help controller associated with this help provider.

List of all members.

## Constructor & Destructor Documentation

wxHelpControllerHelpProvider::wxHelpControllerHelpProvider | ( | wxHelpControllerBase * | hc = `NULL` | ) |

Note that the instance doesn't own the help controller.

The help controller should be deleted separately.

## Member Function Documentation

wxHelpControllerBase* wxHelpControllerHelpProvider::GetHelpController | ( |  | ) | const

Returns the help controller associated with this help provider.

void wxHelpControllerHelpProvider::SetHelpController | ( | wxHelpControllerBase * | hc | ) |

Sets the help controller associated with this help provider.

|  | [ top ]